Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# DataNode Class Reference

The fundamental type of node for the data graph. More...

Inheritance diagram for DataNode:

List of all members.

## Public Member Functions
| DataNode (string name)
| writeConnections (ostream out)
| Writes to the indicated ostream a list of all the connections currently showing between this DataNode and its parent(s).
| writeInputs (ostream out)
| Writes to the indicated ostream a list of all the inputs this DataNode might expect to receive.
| writeOutputs (ostream out)
| Writes to the indicated ostream a list of all the outputs this DataNode might generate.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

The fundamental type of node for the data graph.

The DataNode class is itself primarily intended as an abstract class; it defines no inputs and no outputs. Most kinds of data nodes will derive from this to specify the inputs and outputs in the constructor.

DataNode does not attempt to cycle its data with a PipelineCycler. The data graph is intended to be used only within a single thread.

## Constructor & Destructor Documentation

DataNode | ( | string | name | ) |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from PandaNode.

Reimplemented in ButtonThrower, MouseInterfaceNode, DriveInterface, MouseSubregion, MouseWatcher, Trackball, Transform2SG, AnalogNode, ButtonNode, DialNode, MouseAndKeyboard, TrackerNode, VirtualMouse, and MouseRecorder.

writeConnections | ( | ostream | out | ) |

Writes to the indicated ostream a list of all the connections currently showing between this DataNode and its parent(s).

writeInputs | ( | ostream | out | ) |

Writes to the indicated ostream a list of all the inputs this DataNode might expect to receive.

writeOutputs | ( | ostream | out | ) |

Writes to the indicated ostream a list of all the outputs this DataNode might generate.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties